Users
List users
Returns a paginated list of users in your organization.
GET
/
api
/
v1
/
users
List users
curl --request GET \
--url https://api.accessowl.com/api/v1/users \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.accessowl.com/api/v1/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.accessowl.com/api/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"deactivated_at": null,
"departments": [
"Engineering"
],
"email": "john@example.com",
"employment_type": "full_time",
"first_name": "John",
"full_name": "John Doe",
"id": "7488a646-e31f-11e4-aace-600308960662",
"inserted_at": "2023-01-01T00:00:00Z",
"job_title": "Software Engineer",
"last_name": "Doe",
"location_city": "San Francisco",
"manager_user_id": null,
"status": "active",
"teams": [
"Engineering",
"Backend"
],
"updated_at": "2023-01-01T00:00:00Z"
}
],
"meta": {
"page": 1,
"page_size": 20,
"total_count": 100,
"total_pages": 5
}
}{
"error": "not_found",
"message": "Resource not found"
}{
"error": "not_found",
"message": "Resource not found"
}Authorizations
Bearer token authentication. Pass your AccessOwl API token in the Authorization header as Bearer <token>.
Query Parameters
Maximum results to return (default: 20, max: 100)
Opaque cursor returned in the previous response's meta.next_cursor. Omit for the first page.
Filter users by status. Returns active users by default
Available options:
onboarding_provisioning_planned, onboarding, active, inactive, offboarding_planned, offboarding, offboarded, all Was this page helpful?
⌘I
List users

